org.codehaus.groovy.ast.stmt

## Class ThrowStatement

- java.lang.Object
- - org.codehaus.groovy.ast.ASTNode
  - - org.codehaus.groovy.ast.stmt.Statement
    - - org.codehaus.groovy.ast.stmt.ThrowStatement

    public class ThrowStatement
    extends Statement

Represents a throw statement

### Constructor Summary

Constructors
Constructor and Description
`ThrowStatement(Expression expression)`

### Method Summary

Methods
`Expression` `getExpression()`
`void` `setExpression(Expression expression)`
`void` `visit(GroovyCodeVisitor visitor)`

### Methods inherited from class org.codehaus.groovy.ast.stmt.Statement

`getStatementLabel, isEmpty, setStatementLabel`

### Methods inherited from class org.codehaus.groovy.ast.ASTNode

`copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ThrowStatement

    public ThrowStatement(Expression expression)

### Method Detail

#### getExpression

    public Expression getExpression()

#### visit

    public void visit(GroovyCodeVisitor visitor)

Overrides:
  `visit` in class `ASTNode`

#### setExpression

    public void setExpression(Expression expression)